<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#2A3342"
    android:fitsSystemWindows="true"
    tools:context="com.sheep.gamegroup.view.activity.ActPay">

    <ImageView
        android:id="@+id/title_img_back"
        android:layout_width="?attr/actionBarSize"
        android:layout_height="?attr/actionBarSize"
        android:onClick="onClickBackImg"
        android:scaleType="centerInside"
        android:src="@drawable/narrow_back_white" />

    <TextView
        android:id="@+id/title_name_tv"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:layout_marginStart="?attr/actionBarSize"
        android:layout_marginEnd="?attr/actionBarSize"
        android:gravity="center"
        android:text="订单确认"
        android:textColor="#ffffffff"
        android:textSize="17sp" />

    <TextView
        android:id="@+id/title_cancel"
        android:layout_width="?attr/actionBarSize"
        android:layout_height="?attr/actionBarSize"
        android:layout_alignParentEnd="true"
        android:gravity="center"
        android:onClick="onClickCancel"
        android:text="取消"
        android:textColor="#ffffffff"
        android:textSize="17sp" />

    <View
        android:id="@+id/title_bottom_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_below="@+id/title_name_tv"
        android:background="#212936" />


    <!--支付页面-->
    <TextView
        android:id="@+id/pay_msg_tv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/title_bottom_line"
        android:layout_marginStart="12dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="12dp"
        android:text="王者荣耀水晶生命药水王者荣耀水晶生命药水王者荣耀水晶生命药水王者荣耀水晶生命药水"
        android:textColor="#ffffffff"
        android:textSize="14sp" />

    <View
        android:id="@+id/pay_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_below="@+id/pay_msg_tv"
        android:layout_marginTop="40dp"
        android:background="#212936" />

    <TextView
        android:id="@+id/pay_amount"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/pay_line"
        android:layout_marginTop="40dp"
        android:gravity="center"
        android:text="@string/x_yuan"
        android:textColor="#ffffe63c"
        android:textSize="18sp" />
    <!--支付页面-->


    <!--支付完成-->
    <ImageView
        android:id="@+id/pay_sheep_iv"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_below="@+id/title_bottom_line"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="56dp"
        android:src="@drawable/icon" />

    <TextView
        android:id="@+id/pay_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/pay_sheep_iv"
        android:layout_marginTop="20dp"
        android:gravity="center"
        android:text="@string/sheep_order_no"
        android:textColor="#ffffffff"
        android:textSize="14sp" />

    <TextView
        android:id="@+id/pay_amount2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/pay_info"
        android:layout_marginTop="10dp"
        android:gravity="center"
        android:text="@string/x_yuan"
        android:textColor="#ffffe63c"
        android:textSize="18sp" />
    <TextView
        android:id="@+id/pay_success"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/pay_info"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="40dp"
        android:text="支付成功"
        android:textColor="#ffffffff"
        android:textSize="18sp" />

    <TextView
        android:id="@+id/pay_failed"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/pay_info"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="40dp"
        android:text="支付失败"
        android:textColor="#fff54a43"
        android:textSize="18sp" />

    <TextView
        android:id="@+id/pay_failed_reason"
        android:layout_width="wrap_content"
        android:layout_height="20dp"
        android:layout_below="@+id/pay_failed"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="7dp"
        android:background="@drawable/shape_394456_solid_rectangle_10"
        android:gravity="center"
        android:paddingStart="10dp"
        android:paddingEnd="10dp"
        android:text="查看原因"
        android:onClick="onClickFailedReason"
        android:textColor="#ffffffff"
        android:textSize="12sp" />


    <TextView
        android:id="@+id/pay_commit"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        android:layout_alignParentBottom="true"
        android:layout_margin="12dp"
        android:background="@drawable/shape_blue_solid_rectangle_18"
        android:gravity="center"
        android:text="立即支付"
        android:onClick="onClickBottomBtn"
        android:textColor="#ffffffff"
        android:textSize="18sp" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_above="@+id/pay_commit"
        android:layout_marginTop="40dp"
        android:background="#212936" />
    <!--<include layout=""-->
</RelativeLayout>